package com.caochenlei.controller;

import com.caochenlei.entity.Order;
import com.caochenlei.service.OrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.List;

@Controller
@RequestMapping("/order")
public class OrderController {
    @Autowired
    private OrderService orderService;

    @RequestMapping("/add")
    public String add() {
        return "order/add";
    }

    @RequestMapping("/save")
    public String save(Order order) {
        orderService.save(order);
        return "redirect:/order/findAll";
    }

    @RequestMapping("/findAll")
    public String findAll(Model model) {
        List<Order> orders = orderService.findAll();
        model.addAttribute("orders", orders);
        return "order/list";
    }
}