<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="security" uri="http://www.springframework.org/security/tags" %>
<html>
<head>
    <title>添加角色</title>
    <link rel="stylesheet" href="${pageContext.request.contextPath}/css/bootstrap.min.css">
    <link rel="stylesheet" href="${pageContext.request.contextPath}/css/main.css">
</head>
<body>
<h3 class="pt-3 pb-3">添加角色</h3>
<form action="${pageContext.request.contextPath}/role/save" method="post">
    <security:csrfInput/>
    <p>角色名称：<input type="text" name="name"></p>
    <p>角色描述：<input type="text" name="desc"></p>
    <p><input type="submit" value="添加角色"></p>
</form>
<script src="${pageContext.request.contextPath}/js/jquery-3.5.1.min.js"></script>
<script src="${pageContext.request.contextPath}/js/bootstrap.bundle.min.js"></script>
</body>
</html>