<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<html>
<head>
    <title>添加用户</title>
    <link rel="stylesheet" href="${pageContext.request.contextPath}/css/bootstrap.min.css">
    <link rel="stylesheet" href="${pageContext.request.contextPath}/css/main.css">
</head>
<body>
<h3 class="pt-3 pb-3">用户列表</h3>
<table class="table table-striped table-sm">
    <tr>
        <th>用户编号</th>
        <th>用户名称</th>
        <th>用户密码</th>
        <th>用户状态</th>
        <th>管理角色</th>
    </tr>
    <c:forEach var="sysUser" items="${sysUsers}">
        <tr>
            <td>${sysUser.id}</td>
            <td>${sysUser.username}</td>
            <td>${sysUser.password}</td>
            <td>${sysUser.status}</td>
            <td><a href="${pageContext.request.contextPath}/user/getRolesByUser?uid=${sysUser.id}" target="container">管理角色</a></td>
        </tr>
    </c:forEach>
</table>
<script src="${pageContext.request.contextPath}/js/jquery-3.5.1.min.js"></script>
<script src="${pageContext.request.contextPath}/js/bootstrap.bundle.min.js"></script>
</body>
</html>