package com.caochenlei.service.impl;

import com.caochenlei.entity.Order;
import com.caochenlei.service.OrderService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.*;

/**
 * 订单实现是一个伪实现，不与数据库进行交互
 */
@Service
@Transactional
public class OrderServiceImpl implements OrderService {
    private Map<Integer, Order> orderMap;

    public OrderServiceImpl() {
        orderMap = new HashMap<>();
        orderMap.put(1, new Order(1, "小米手机1部", "打折促销9折"));
        orderMap.put(2, new Order(2, "华为手机1部", "打折促销8折"));
        orderMap.put(3, new Order(3, "苹果手机1部", "打折促销7折"));
    }

    @Override
    public void save(Order Order) {
        int size = orderMap.size();
        int id = ++size;
        Order.setId(id);
        orderMap.put(id, Order);
    }

    @Override
    public List<Order> findAll() {
        Collection<Order> Orders = orderMap.values();
        return new ArrayList<>(Orders);
    }
}