package com.caochenlei.service.impl;

import com.caochenlei.entity.SysRole;
import com.caochenlei.mapper.SysRoleMapper;
import com.caochenlei.service.SysRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class SysRoleServiceImpl  implements SysRoleService {
    @Autowired
    private SysRoleMapper sysRoleMapper;

    @Override
    public void save(SysRole sysRole) {
        sysRoleMapper.save(sysRole);
    }

    @Override
    public List<SysRole> findAll() {
        return sysRoleMapper.findAll();
    }

    @Override
    public List<SysRole> findByUid(Integer uid) {
        return sysRoleMapper.findByUid(uid);
    }
}