package com.caochenlei.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
public class MainController {
    /**
     * WEB-INF/views/目录下的所有页面，默认在浏览器中不能被访问到，需要使用控制器方法跳转
     * 通过http://localhost:8080/main来访问WEB-INF/views/main.jsp
     *
     * @return
     */
    @RequestMapping("/main")
    public String main() {
        return "main";
    }

    /**
     * WEB-INF/views/目录下的所有页面，默认在浏览器中不能被访问到，需要使用控制器方法跳转
     * 通过http://localhost:8080/toLogin来访问WEB-INF/views/login.jsp
     *
     * @return
     */
    @RequestMapping("/toLogin")
    public String toLogin() {
        return "login";
    }

    @RequestMapping("/to403")
    public String to403() {
        return "error/403";
    }

    @RequestMapping("/toExpired")
    public String toExpired() {
        return "expired";
    }
}